/*
 * Project name:
     Piezo (Usage of Piezo speaker)
 * Copyright:
     (c) Mikroelektronika, 2011.
 * Revision History:
     20110916:
       - initial release (FJ);
 * Description:
     This is a simple 'Hello World' project. It turns on/off diodes connected to
     PORTA, PORTB, PORTC, PORTD, PORTE, PORTF, PORTH, PORTJ and PORTK.
 * Test configuration:
     MCU:             ATxmega128A1
                      http://www.atmel.com/dyn/resources/prod_documents/doc8067.pdf
     Dev.Board:       Ready for XMEGA
                      http://www.mikroe.com/eng/products/view/755/ready-for-xmega-board/
     Oscillator:      Internal Clock 32.0000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/eng/products/view/228/mikroc-pro-for-avr/
 * NOTES:
     - None.
 */

void main() {
  // Internal oscillator selection procedure
  OSC_CTRL = 0x02;  // 32MHz internal RC oscillator

  while(RC32MRDY_bit == 0)
   ;

  CPU_CCP = 0xD8;   // The CCP register must be written with the correct signature to enable change of the protected
                    // I/O register or execution of the protected instruction for a maximum of 4 CPU instruction cycles.
  CLK_CTRL = 1;     // Internal oscillator

  PORTA_DIRSET = 255;
  PORTB_DIRSET = 255;
  PORTC_DIRSET = 255;
  PORTD_DIRSET = 255;
  PORTE_DIRSET = 255;
  PORTF_DIRSET = 255;
  PORTH_DIRSET = 255;
  PORTJ_DIRSET = 255;
  PORTK_DIRSET = 255;

  while(1){
    PORTA_OUTCLR = 255;
    PORTB_OUTCLR = 255;
    PORTC_OUTCLR = 255;
    PORTD_OUTCLR = 255;
    PORTE_OUTCLR = 255;
    PORTF_OUTCLR = 255;
    PORTH_OUTCLR = 255;
    PORTJ_OUTCLR = 255;
    PORTK_OUTCLR = 255;

    Delay_ms(1000);
    
    PORTA_OUTSET = 255;
    PORTB_OUTSET = 255;
    PORTC_OUTSET = 255;
    PORTD_OUTSET = 255;
    PORTE_OUTSET = 255;
    PORTF_OUTSET = 255;
    PORTH_OUTSET = 255;
    PORTJ_OUTSET = 255;
    PORTK_OUTSET = 255;

    Delay_ms(1000);
  }
}